﻿using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WPF_XDG
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        //ObservableCollection<Record> records;

        public MainWindow()
        {
            InitializeComponent();

            RecordVM vm = new RecordVM();

            xamDataGrid.DataSource = vm.Records;
         

            //xamDataGrid.Records[0].IsActive = true;
            //xamDataGrid.Records[0].IsSelected = true;

            xamDataGrid.Loaded += xamDataGrid_Loaded;
            
        }

        void xamDataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            CellValuePresenter cvp = CellValuePresenter.FromCell( ((DataRecord) xamDataGrid.Records[0]).Cells["rbField"] );
            DependencyObject dobj = FindChild(cvp, "rbButton", typeof(RadioButton));
            if (dobj != null)
            {
                RadioButton rb = (RadioButton)dobj;
                rb.IsChecked = true;
            }          
        }       
        
        private void RadioButton_Click(object sender, RoutedEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine("RadioButton_Click");
        }

        private void xamDataGrid_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
           
        }       


        public DependencyObject FindChild(DependencyObject reference, string childName, Type childType)
        {
            DependencyObject foundChild = null;
            if (reference != null)
            {
                int childrenCount = VisualTreeHelper.GetChildrenCount(reference);
                for (int i = 0; i < childrenCount; i++)
                {
                    var child = VisualTreeHelper.GetChild(reference, i);
                    // If the child is not of the request child type child
                    if (child.GetType() != childType)
                    {
                        // recursively drill down the tree
                        foundChild = FindChild(child, childName, childType);
                    }
                    else if (!string.IsNullOrEmpty(childName))
                    {
                        var frameworkElement = child as FrameworkElement;
                        // If the child's name is set for search
                        if (frameworkElement != null && frameworkElement.Name == childName)
                        {
                            // if the child's name is of the request name
                            foundChild = child;
                            break;
                        }
                    }
                    else
                    {
                        // child element found.
                        foundChild = child;
                        break;
                    }
                }
            }
            return foundChild;
        }

      
    }
}
