﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace WPF_XDG
{
    class RecordVM : INotifyPropertyChanged
    {
         private ObservableCollection<Record> records;
         public ObservableCollection<Record> Records
        {
            get { return records; }
            set
            {
                if (records != value)
                {
                    records = value;
                    OnPropertyChanged("Records");
                }
            }
        }
        public RecordVM()
        {
            records = new ObservableCollection<Record>();
            bool? b = null;
            for (int i = 0; i < 5; i++)
            {
                records.Add(new Record(i, b, "rec" + i.ToString()));
                if (i < 3)
                    b = true;
                else
                    b = false;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

      public class Record
        {
            bool? b = null;

            public int ID {get; set;}
            public string Name { get; set; }
            public bool? RB
            {
                get { return b; }
                set
                {
                    if (b != value)
                    {
                        b = value;
                        OnPropertyChanged("RB");
                    }
                }
            }           

            public Record(int id, bool? rb, string name)
            {
                ID = id;
                RB = rb;
                Name = name;
            }

            public event PropertyChangedEventHandler PropertyChanged;
            protected virtual void OnPropertyChanged(string propertyName)
            {
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
                }
            }
        }  
}
